## net.sf.saxon.event
Class CommentStripper

    java.lang.Object
      |
      +--net.sf.saxon.event.ProxyReceiver
            |
            +--net.sf.saxon.event.CommentStripper

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class CommentStripper
extends ProxyReceiver

The CommentStripper class is a filter that removes all comments and processing instructions. It also concatenates text nodes that are split by comments and PIs

Field Summary

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`baseReceiver, config, locationProvider, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`CommentStripper()` Default constructor for use in subclasses

Method Summary
`void` `characters(java.lang.CharSequence chars, int locationId, int properties)` Callback interface for SAX: not for application use
`void` `comment(java.lang.CharSequence chars, int locationId, int properties)` Remove comments
`void` `endElement()` Callback interface for SAX: not for application use
`void` `processingInstruction(java.lang.String name, java.lang.CharSequence data, int locationId, int properties)` Remove processing instructions
`void` `startElement(int nameCode, int typeCode, int locationId, int properties)` Notify the start of an element

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`attribute, close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getSystemId, getUnderlyingReceiver, namespace, open, setConfiguration, setDocumentLocator, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentStripper

    public CommentStripper()

  Default constructor for use in subclasses

Method Detail

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Description copied from class: `ProxyReceiver`
  Notify the start of an element

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `ProxyReceiver`
  Parameters:
    `nameCode` - integer code identifying the name of the element within the name pool.
    `typeCode` - integer code identifying the element's type within the name pool.
    `XPathException`

### endElement

    public void endElement()
                    throws XPathException

  Callback interface for SAX: not for application use

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `ProxyReceiver`
    `XPathException`

### characters

    public void characters(java.lang.CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Callback interface for SAX: not for application use

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `ProxyReceiver`
  Parameters:
    `chars` - The characters
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this text node
  USE_CDATA
    Output as a CDATA section
  NO_SPECIAL_CHARACTERS
    Value contains no special characters
  WHITESPACE
    Text is all whitespace
    `XPathException`

### comment

    public void comment(java.lang.CharSequence chars,
                        int locationId,
                        int properties)

  Remove comments

  Specified by:
    `comment` in interface `Receiver`
  Overrides:
    `comment` in class `ProxyReceiver`
  Parameters:
    `chars` - The content of the comment
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the comment. The following bits are defined:
  CHECKED
    Comment is known to be legal (e.g. doesn't contain "--")

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.CharSequence data,
                                      int locationId,
                                      int properties)

  Remove processing instructions

  Specified by:
    `processingInstruction` in interface `Receiver`
  Overrides:
    `processingInstruction` in class `ProxyReceiver`
  Parameters:
    `name` - The PI name. This must be a legal name (it will not be checked).
    `data` - The data portion of the processing instruction
    `locationId` - an integer which can be interpreted using a LocationMap to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the PI. The following bits are defined:
  CHECKED
    Data is known to be legal (e.g. doesn't contain "?>")